@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.artistAddNewItemPage {
  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    img {
      width: 24%;
      position: absolute;
      top: 0px;
      left: 0;
      z-index: 1000;
    }

    .main {
      width: 70%;
      display: flex;
      justify-content: space-between;
      align-items: center;
      margin-left: 96px;

      h3 {
        color: var.$text-color-primary;
        margin: 0;
        font-family: "Reenie Beanie";
        font-style: normal;
        font-weight: var.$font-weight-medium;
        font-size: var.$font-size-big;
        line-height: var.$gutter-base;
      }

      .topnav {
        overflow: hidden;

        .myLinks {
          background: #a26a5e;
          box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
          display: none;
          position: absolute;
          top: 75px;
          left: 0;
          right: 0;
          width: 100%;
          text-align: center;

          a {
            font-size: 20px;
            color: white;
            padding: 12px 14px;
            text-decoration: none;
            // font-size: 17px;
            display: block;
          }
        }

        a.icon {
          color: var.$text-color-primary;
          display: block;
          font-size: 25px;
        }
      }
    }
  }

  .addNewItemForm {
    background-color: #a16a5e;
    padding: 20px 15px;

    h3 {
      display: inline;
      color: #fcebd5;
      font-size: 20px;
    }

    input,
    textarea {
      color: white;
      background: transparent;
      border: 1px solid #edd5bb;
      border-radius: var.$border-radius;
      margin-bottom: 12px;
      padding: 4px;
    }

    label {
      color: #edd5bb;
    }

    span {
      color: #edd5bb;
      font-size: 14px;
      margin-top: 4px;

      input:checkbox {
        border-radius: var.$border-radius;
        outline: none;
      }
    }

    form {
      margin-top: 20px;

      .w-100 {
        width: 100%;
      }

      div {
        display: flex;
        justify-content: space-between;

        .nz {
          flex-basis: 40%;
          display: flex;
          flex-direction: column;
        }
      }
    }

    p {
      color: #edd5bb;
      text-align: center;
    }

    #snapshot {
      display: flex;
      align-items: center;
      border: 2px dashed #edd5bb;
      height: 300px;

      .inner {
        width: 30%;
        margin: 0 auto;
        display: flex;
        flex-direction: column;

        .icon i {
          font-size: 50px;
        }
      }

      img {
        width: 100%;
        max-height: 100%;
      }
    }

    .buttons {
      margin-top: 20px;
      display: flex;
      justify-content: space-between;

      button {
        font-size: 14px;
        flex-basis: 40%;
        padding: 10px 0;
        border: none;
        border-radius: var.$border-radius;
      }

      .red {
        color: #e5e5e5;
        background-color: #d44c2e;
      }

      .white {
        color: #5a5a5a;
        background-color: #e5e5e5;
      }
    }
  }
}
